<?php 
use Elementor\Icons_Manager; 

// Custom Menu Type.
if($settings['woofoo_product_source'] == 'custom') {
    $woofoo_symbol = '';
    foreach ($settings['woofoo_lists'] as $items => $item) {
        $woofoo_show_highlight        = !empty($item['woofoo_show_highlight']) ? $item['woofoo_show_highlight'] : '';
        $woofoo_title                 = !empty($item['woofoo_title']) ? $item['woofoo_title'] : '';
        $woofoo_list_content          = !empty($item['woofoo_list_content']) ? $item['woofoo_list_content'] : '';
        $woofoo_image                 = !empty($item['woofoo_image']) ? $item['woofoo_image']['url'] : '';
        $woofoo_label                 = !empty($item['woofoo_label']) ? $item['woofoo_label'] : '';
        $woofoo_sale_price            = !empty($item['woofoo_sale_price']) ? $item['woofoo_sale_price'] : '';
        $woofoo_regular_price         = !empty($item['woofoo_regular_price']) ? $item['woofoo_regular_price'] : '';
        $woofoo_link                  = !empty($item['woofoo_link']) ? $item['woofoo_link']['url'] : '';
        $woofoo_show_customer_rating  = !empty($item['woofoo_show_customer_rating']) ? $item['woofoo_show_customer_rating'] : '';
        $woofoo_show_btn              = !empty($item['woofoo_show_btn']) ? $item['woofoo_show_btn'] : '';
        $woofoo_show_label            = !empty($item['woofoo_show_label']) ? $item['woofoo_show_label'] : '';
        $woofoo_customer_rating       = !empty($item['woofoo_customer_rating']) ? $item['woofoo_customer_rating'] : '';
        $woofoo_target                = $item['woofoo_link']['is_external'] ? ' target=_blank' : '';
        $woofoo_rel                   = $item['woofoo_link']['nofollow'] ? ' rel=nofollow' : '';
        $woofoo_currency_position     = $settings['woofoo_currency_position'];
        $woofoo_currency_symbol       = $settings['woofoo_currency_symbol'];
        $woofoo_currency_text_symbol  = $settings['woofoo_currency_text_symbol']; ?>
        <div class="woofoo-design-4">
            <!-- Product Highlight -->
            <?php
            //If Product Highlight enabled.
            if ($woofoo_show_highlight == 'yes') {
                $highlightclass = 'woofoo-highlight';
            } else { 
                $highlightclass = '';
            }?>
            <div class="woofoo-item-container <?php echo esc_attr($highlightclass); ?>">
                <!-- Label -->
                <?php
                //If Show Label is enabled.
                if ($item['woofoo_show_label'] == 'yes') { ?>
                    <div class="woofoo-label"><?php echo esc_attr($woofoo_label); ?></div>
                <?php } 
                //If Show Image is enabled.
                if ($item['woofoo_show_custom_image'] == 'yes') { ?>
                    <div class="woofoo-image"><img src="<?php echo esc_url($woofoo_image); ?>"></div>
                    <?php 
                } ?>
                <!-- Product Content -->
                <div class="woofoo-content">
                    <!-- Icon -->
                    <?php
                    //If Show Icon is enabled.
                    if ($item['woofoo_show_custom_icon'] == 'yes') { ?>
                        <div class="woofoo-icon"><?php Icons_Manager::render_icon($item['woofoo_icon'], ['aria-hidden' => 'true']); ?></div>
                    <?php } ?>
                    <!-- Title & Price -->
                    <div class="woofoo-title-price-wrapper">
                        <!-- Title -->
                        <div class="woofoo-title-wrapper">
                            <h2 class="woofoo-title"><?php echo esc_attr($woofoo_title); ?></h2>
                        </div>
                        <!-- Separator -->
                        <div class="woofoo-separator"></div>
                        <!-- Currency Symbol -->
                        <?php
                        if ('woofoo_custom' !== $settings['woofoo_currency_symbol']) {
                            $woofoo_symbol = woofoo_get_currency_symbol($woofoo_currency_symbol);
                        } else {
                            $woofoo_symbol = $settings['woofoo_currency_text_symbol'];
                        } 
                        //Position of Currency Symbol.
                        if ($woofoo_currency_position == 'before') {
                            $currencyclass = 'beforecurrency';
                        } else { 
                            $currencyclass = 'aftercurrency';
                        }?>
                        <div class="woofoo-price-wrapper">
                            <div class="woofoo-sale-price">
                                <?php
                                //Sale Price.
                                if(!empty($woofoo_sale_price)) { ?>
                                    <span class="woofoo-currency-symbol <?php echo esc_attr($currencyclass); ?>"><?php echo esc_attr($woofoo_symbol); ?></span>
                                    <div class="woofoo-price"><?php echo esc_attr($woofoo_sale_price); ?></div> 
                                <?php } ?>
                            </div>
                            <?php if($woofoo_sale_price !== '') {
                                $line_through = 'woofoo-line';
                            } else {
                                $line_through = '';
                            } ?>
                            <div class="woofoo-regular-price <?php echo esc_attr($line_through); ?>">
                                <?php
                                //Regular Price.
                                if(!empty ($woofoo_regular_price)) { ?>
                                <span class="woofoo-currency-symbol <?php echo esc_attr($currencyclass); ?>"><?php echo esc_attr($woofoo_symbol); ?></span>
                                <div class="woofoo-price"><?php echo esc_attr($woofoo_regular_price); ?></div> 
                                <?php } ?>
                            </div>
                        </div>
                    </div>
                    <!-- Description -->
                    <div class="woofoo-description">
                        <p><?php echo esc_attr($woofoo_list_content); ?></p>
                    </div>
                    <!-- Rate & Button -->
                    <div class="woofoo-rate-btn-wrapper">
                        <!-- Rating -->
                        <?php
                        //if show rating enabled. 
                        if ($item['woofoo_show_customer_rating'] == 'yes') { ?>
                            <div class="woofoo-rating">
                                <?php
                                for($i=1; $i<= $woofoo_customer_rating; $i++) { ?>
                                    <i class='fa fa-star star-fill'></i>
                                    <?php 
                                } 
                                for($i=5; $i > $woofoo_customer_rating; $i--) { ?>
                                    <i class='fa fa-star-o star'></i> 
                                    <?php
                                } ?>
                            </div>
                        <?php } 
                        //show Button enabled.
                        if ($item['woofoo_show_btn'] == 'yes') { ?>
                            <div class="woofoo-button-wrapper">
                                <div class="woofoo-button">
                                    <a class="woofoo-button-text" href="<?php echo esc_url($woofoo_link); ?>" <?php echo esc_attr($woofoo_target); echo esc_attr($woofoo_rel); ?>><?php echo esc_attr($item['woofoo_button']); ?></a>                        
                                </div>
                            </div>
                        <?php } ?>
                    </div>
                </div>
            </div>
        </div>
        <?php 
    } 
}

//WooCommerce Menu Type.
if($settings['woofoo_product_source'] == 'woocommerce') { 
    global $product;?>
    <div class="woofoo-design-4">
        <div class="woofoo-item-container woofoo-woocommerce">
            <!-- Label -->
            <?php
            //if show sale label enabled.
            if ($settings['woofoo_show_label'] == 'yes') { ?>
                <div class="woofoo-ribbon">
                    <?php
                    if ($product->is_on_sale()){ ?>
                        <span class="woofoo-label"><?php echo esc_attr($settings['woofoo_sale_label']); ?></span>
                    <?php } ?>
                </div>
            <?php }
            //If Show Image enabled.
            if ($settings['woofoo_show_image'] == 'yes') { ?>
                <div class="woofoo-layout-img"><?php
                    if (has_post_thumbnail()) { ?>
                        <a href="<?php the_permalink(); ?>" class="woofoo-img" title="<?php the_title_attribute(); ?>"><?php the_post_thumbnail($settings['woofoo_product_image_size_size']); ?></a>
                        <?php 
                    } ?>
                </div>
            <?php } ?>
            <!-- Product Content -->
            <div class="woofoo-content">
                <!-- Title, Price & Separator -->
                <div class="woofoo-title-price-wrapper">
                    <!-- Title -->
                    <?php
                    //If Show Title enabled.
                    if ($settings['woofoo_show_title'] == 'yes') { ?>
                        <div class="woofoo-title-wrapper">
                            <h2 class="woofoo-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
                        </div>
                    <?php } ?>
                    <!-- Separator -->
                    <div class="woofoo-separator"></div>
                    <!-- Prices -->
                    <div class="woofoo-price-wrapper"> 
                        <?php
                        //If Product is simple and show price enabled.
                        if ($product->is_type('simple') && $product->is_on_sale()) {
                            if ($product->get_sale_price()) {
                                //If Product is simple and show sale price enabled.
                                if ($product->get_sale_price() && $settings['woofoo_show_sale_price'] == 'yes') {?>
                                    <b class="woofoo-sale-price"><span><?php echo esc_html(get_woocommerce_currency_symbol());?></span><?php echo esc_attr($product->get_sale_price()); ?></b>
                                    <?php
                                }
                                if($settings['woofoo_show_regular_price'] == 'yes') {
                                    $line_through = 'woofoo-line';
                                } else {
                                    $line_through = '';
                                }
                                //If Product is simple and show regular price enabled.
                                if ($product->get_sale_price() && $settings['woofoo_show_regular_price'] == 'yes') {?>
                                    <div class="woofoo-regular-price <?php echo esc_attr($line_through); ?>"><span><?php echo esc_html(get_woocommerce_currency_symbol());?></span><?php echo esc_attr($product->get_regular_price());?></div>
                                    <?php
                                }
                            }
                            //If Product is simple and has only regular price enabled.
                            else { ?>
                                <span><?php echo esc_html(get_woocommerce_currency_symbol()); ?></span><?php echo esc_attr($product->get_regular_price()); ?>
                        <?php }
                        } else { 
                        //If Product is with Variation and show price enabled.
                        if ($settings['woofoo_show_regular_price'] == 'yes') {?>
                            <div class="woofoo-regular-price">
                                <?php echo wp_kses_post($product->get_price_html()); ?> 
                            </div>
                        <?php } 
                        } ?>
                    </div>
                </div>
                <!-- Description -->
                <div class="woofoo-description">
                    <p>
                        <?php
                        //If Show Description full.
                        if ($settings['woofoo_show_description'] == 'full') {
                            $content = $product->get_description();
                        }
                        //If Show Description full.
                        elseif ($settings['woofoo_show_description'] == 'short') {
                            $content = $product->get_short_description();
                        } else {
                            $content = '';
                        }
                        echo esc_attr($content);
                        ?>
                    </p>
                </div>
                <!-- Rate & Button -->
                <div class="woofoo-rate-btn-wrapper">
                    <!-- Rating -->
                    <?php
                    //If Show Rating enabled.
                    if ($settings['woofoo_show_rating'] == 'yes') {
                        $average = $product->get_average_rating();
                        echo wp_kses_post('<div class="woofoo-star-rating"><span style="width:'.( ( $average / 5 ) * 100 ) . '%"><strong itemprop="ratingValue" class="rating">'.$average.'</strong></span></div>');
                    }
                    //If Show Add-to-cart button enabled.
                    if ($settings['woofoo_show_cart_button'] == 'yes') { ?>
                        <div class="woofoo-button-wrapper">
                            <div class="woofoo-button"><?php 
                                //Text for Add-to-cart in Product variation.
                                if ($settings['woofoo_show_custom_button'] == 'yes') {
                                    if ($product->is_type('simple')) {
                                        $add_to_cart = $settings['woofoo_simple_button_text'];
                                    } elseif ($product->is_type('variable')) {
                                        $add_to_cart = $settings['woofoo_variable_button_text'];
                                    } elseif ($product->is_type('grouped')) {
                                        $add_to_cart = $settings['woofoo_grouped_button_text'];
                                    } elseif ($product->is_type('external')) {
                                        $add_to_cart = $settings['woofoo_external_button_text'];
                                    }
                                } else {
                                    $add_to_cart = $product->add_to_cart_text();
                                }   
                                echo apply_filters( 'woocommerce_loop_add_to_cart_link',
                                sprintf('<a href="%s" rel="nofollow" data-product_id="%s" data-product_sku="%s" class="woofoo-button-text %s">%s</a>',
                                esc_url($product->add_to_cart_url()),
                                esc_attr($product->get_id()),
                                esc_attr($product->get_sku()),
                                $product->is_purchasable() ? 'add_to_cart_button' : '',
                                esc_html($add_to_cart)
                                ),
                                $product );
                                ?>
                            </div>
                        </div>
                    <?php } ?>
                </div>
            </div>
        </div>
    </div>
    <?php 
} ?>